Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.owl.swrl.bridge.builtins.rdfb
Class SWRLBuiltInLibraryImpl

    java.lang.Object
      edu.stanford.smi.protegex.owl.swrl.bridge.builtins.AbstractSWRLBuiltInLibrary
          edu.stanford.smi.protegex.owl.swrl.bridge.builtins.rdfb.SWRLBuiltInLibraryImpl

All Implemented Interfaces:
  SWRLBuiltInLibrary

    public class SWRLBuiltInLibraryImpl

extends AbstractSWRLBuiltInLibrary

Implementations library for RDFB built-in methods. See here for documentation on this library. See here for documentation on defining SWRL built-in libraries.

Constructor Summary
`SWRLBuiltInLibraryImpl()`

Method Summary
`boolean` | `isClass(List<BuiltInArgument> arguments)` isClass(c)
`boolean` | `isList(List<BuiltInArgument> arguments)` isList(l)
`boolean` | `isProperty(List<BuiltInArgument> arguments)` isProperty(p)
`boolean` | `isResource(List<BuiltInArgument> arguments)` isResource(r)
`void` | `reset()`

Methods inherited from class edu.stanford.smi.protegex.owl.swrl.bridge.builtins.AbstractSWRLBuiltInLibrary
`getInvokingBridge, getInvokingBuiltInIndex, getInvokingRuleName, getIsInConsequent, getLibraryName, invokeBuiltInMethod, invokeResetMethod`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SWRLBuiltInLibraryImpl

    public SWRLBuiltInLibraryImpl()

Method Detail

### reset

    public void reset()

  Specified by:
    `reset` in interface `SWRLBuiltInLibrary`
  Specified by:
    `reset` in class `AbstractSWRLBuiltInLibrary`

### isClass

    public boolean isClass(List<BuiltInArgument> arguments)
                    throws BuiltInException

  isClass(c)

  Throws:
    `BuiltInException`

### isList

    public boolean isList(List<BuiltInArgument> arguments)
                   throws BuiltInException

  isList(l)

  Throws:
    `BuiltInException`

### isProperty

    public boolean isProperty(List<BuiltInArgument> arguments)
                       throws BuiltInException

  isProperty(p)

  Throws:
    `BuiltInException`

### isResource

    public boolean isResource(List<BuiltInArgument> arguments)
                       throws BuiltInException

  isResource(r)

  Throws:
    `BuiltInException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Copyright (c) 1998-2009 Stanford University.